<?php
require_once "connect.php";
require_once 'inc/usuario.php';

$usuario_excessao = getLoggedUser();
$id_usuario = $usuario_excessao['id'];

// dados do post
if(isset($_POST['id'])){
    $id 			= $_POST['id'];
}
  $id_grupo_tributacao = trim($_POST['id_grupo_tributacao']);
  $id_tipo = trim($_POST['id_tipo']);
  $id_grupo_clifor = trim($_POST['id_grupo_clifor']);
  $nr_aliq_interna = trim($_POST['nr_aliq_interna']);
  $nr_aliq_externa = trim($_POST['nr_aliq_externa']);
  $nr_mva = trim($_POST['nr_mva']);
  $nr_aliq_icms_dest = trim($_POST['nr_aliq_icms_dest']);
  $nr_ipi_pauta = trim($_POST['nr_ipi_pauta']);
  $nr_pis_pauta = trim($_POST['nr_pis_pauta']);
  $nr_cofins_pauta = trim($_POST['nr_cofins_pauta']);
  $nr_ipi_aliq = trim($_POST['nr_ipi_aliq']);
  $nr_pis_aliq = trim($_POST['nr_pis_aliq']);
  $nr_cofins_aliq = trim($_POST['nr_cofins_aliq']);
  $nr_reducao_pis = trim($_POST['nr_reducao_pis']);
  $nr_reducao_cofins = trim($_POST['nr_reducao_cofins']);
  
  
  // $ds_uf = trim($_POST['ds_uf']);
  // $ds_uf_busca = trim($_POST['ds_uf_busca']);
  $st_ativo		= 1;

/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/
// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_excecao_fiscal set
   id_grupo_tributacao='$id_grupo_tributacao'
  ,id_grupo_clifor='$id_grupo_clifor'
  ,id_tipo='$id_tipo'
  ,nr_aliq_interna='$nr_aliq_interna'
  ,nr_aliq_externa='$nr_aliq_externa'
  ,nr_aliq_icms_dest='$nr_aliq_icms_dest'
  ,nr_mva='$nr_mva'
  ,nr_ipi_pauta='$nr_ipi_pauta'
  ,nr_pis_pauta='$nr_pis_pauta'
  ,nr_cofins_pauta='$nr_cofins_pauta'
  ,nr_ipi_aliq='$nr_ipi_aliq'
  ,nr_pis_aliq='$nr_pis_aliq'
  ,nr_cofins_aliq='$nr_cofins_aliq'
  ,nr_reducao_pis='$nr_reducao_pis'
  ,nr_reducao_cofins='$nr_reducao_cofins'
  ,dh_alteracao=now()";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_excecao_fiscal set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
		$sql = "insert into erpc_excecao_fiscal(
     id_grupo_tributacao
    ,id_grupo_clifor
    ,id_tipo
    ,nr_aliq_interna
    ,nr_aliq_externa
    ,nr_aliq_icms_dest
    ,nr_mva
    ,nr_ipi_pauta
    ,nr_pis_pauta
    ,nr_cofins_pauta
    ,nr_ipi_aliq
    ,nr_pis_aliq
    ,nr_cofins_aliq
    ,nr_reducao_pis
    ,nr_reducao_cofins
    ,st_ativo, id_usuario)";

		$sql .="values(
    '$id_grupo_tributacao'
    ,'$id_grupo_clifor'
    ,'$id_tipo'
    ,'$nr_aliq_interna'
    ,'$nr_aliq_externa'
    ,'$nr_aliq_icms_dest'
    ,'$nr_mva'
    ,'$nr_ipi_pauta'
    ,'$nr_pis_pauta'
    ,'$nr_cofins_pauta'
    ,'$nr_ipi_aliq'
    ,'$nr_pis_aliq'
    ,'$nr_cofins_aliq'
    ,'$nr_reducao_pis'
    ,'$nr_reducao_cofins'
    , $st_ativo, $id_usuario)";
}

// executa sql
if($sql!=""){
	$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
	mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

  echo $sql;
  header("Location:erpc_excecao_fiscal_list.php");
?>
